##*************************************************************************##
##  CUBE        http://www.scalasca.org/                                   ##
##*************************************************************************##
##  Copyright (c) 1998-2016                                                ##
##  Forschungszentrum Juelich GmbH, Juelich Supercomputing Centre          ##
##                                                                         ##
##  Copyright (c) 2009-2015                                                ##
##  German Research School for Simulation Sciences GmbH,                   ##
##  Laboratory for Parallel Programming                                    ##
##                                                                         ##
##  This software may be modified and distributed under the terms of       ##
##  a BSD-style license.  See the COPYING file in the package base         ##
##  directory for details.                                                 ##
##*************************************************************************##



AC_DEFUN([AC_SCOREP_JAVA_READER_OPTION],
[
JXERCES="yes"



  AC_SCOREP_JAVA_CHECKS
    JXERCES="yes"
    AC_SCOREP_XERCES_CHECK

    
AC_SUBST([JAVAC])
AC_SUBST([JAVA])
AC_SUBST([JAR])
AC_SUBST([JAVACPATH])
AC_SUBST([JAVACVERSION])
AC_SUBST([JAVAPATH])
AC_SUBST([JARPATH])

])


AC_DEFUN([AC_SCOREP_WITH_JAVA],
[

AS_IF([test "x${JAVAC}" = "x"],[
    AC_CHECK_PROGS(JAVAC, javac gcj, "")   
])

AS_IF([test "x${JAVA}" = "x"],[
    AC_CHECK_PROGS(JAVA, java, "")   
])


AS_IF([test "x${JAR}" = "x"],[
    AC_CHECK_PROGS(JAR, jar, "")
])



AS_IF([test "x$JAVAC" != "x"],[
    JAVACVERSION_=`unset JAVA_TOOL_OPTIONS javac -version 2>&1 `
    AS_IF([test "x$?" != "x0"],[
    JAVACVERSION_=
    ])
    JAVACVERSION="\"$JAVACVERSION_\""
    JAVACPATH=`which $JAVAC`
])


AS_IF([test "x$JAR" != "x"],[
    JARPATH=`which $JAR`
])

])







AC_DEFUN([AC_SCOREP_JAVA_CHECKS], [

#AM_PROG_GCJ
AC_SCOREP_WITH_JAVA

])





AC_DEFUN([AC_SCOREP_XERCES_CHECK], [

jars="$XERCES_NAME xerces2-j.jar xerces-j2.jar xercesImpl.jar"
path="$XERCES_PATH$PATH_SEPARATOR$CLASSPATH$PATH_SEPARATOR."

if test "x$XERCES_NAME" != "xxerces.jar"; then
jars="$jars xerces.jar"
fi
if test "x$XERCES_PATH" != "x/usr/share/java"; then
path="$path$PATH_SEPARATOR/usr/share/java"
fi



_path=`echo $path | sed -e "s,$PATH_SEPARATOR, ,g"`
JXERCES=
JXERCES_FULL=
for jar in $jars; do
for __path in $_path; do
AC_MSG_CHECKING([Looking for  $jar in "$__path" ])
if test -f $__path/$jar; then
AC_MSG_RESULT([found])
  JXERCES=$jar
  JXERCES_FULL=$__path/$jar
  break;
else
AC_MSG_RESULT([no])
fi
done
if test "x$JXERCES" != "x"; then
    break;
fi
done
if test "x$JXERCES" == "x"; then 
AC_MSG_ERROR([ Didn't find any SAX parser implementations ( $jars ) - disable java reader.])
fi


AC_SUBST(JXERCES_FULL)

])


